Kerbal Space Program - Bug #5004

Contract to deliver ore to Kerbin does not count water landing as landing
05/15/2015 05:28 AM - Kasuha
Description

When the ship meeting all requirements landed in water, the "Land your Ore on Kerbin" did not check. Landing on ground worked.

History

#1 - 06/03/2015 12:01 PM - Geschosskopf

- Status changed from New to Need More Info

Not a bug. "Landed" has a specific meaning in the game, meaning the ship is on soiid ground. Being in the ocean is called "splashed down". So if
you are required to be "landed", then coming down in the water will not work.

#2 - 06/04/2015 04:05 AM - Kasuha

- Status changed from Need More Info to Confirmed
- % Done changed from 0 to 10

Providing more info:

http://en.wikipedia.org/wiki/Landing

'When the flying object returns to water, the process is called alighting, although it is commonly called "landing," "touchdown" or "splashdown" as
well.!

Clearly, landing in water is also commonly called 'landing’, making the contract ambiguous. It should be either clearly specified that water landing

does not count (since when coming from space, particular place of landing is usually irrelevant) or better, the game should accept ore delivery both on
land and in water.

#3 - 11/19/2015 09:20 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Resolved in build 1028 by the contract stipulating the vessel must be on the land.

#4 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed

#5 - 01/20/2017 08:19 PM - Kasuha

Please note that players are still getting confused:

https://www.reddit.com/r/KerbalSpaceProgram/comments/5p1gtm/til_that_land_means_land/

In my humble opinion, the contract should be to deliver the ore on the surface. Any kind of surface.
